Index: configuration-file/pure-ftpd.conf.in
===================================================================
--- configuration-file/pure-ftpd.conf.in.orig
+++ configuration-file/pure-ftpd.conf.in
@@ -37,19 +37,20 @@ BrokenClientsCompatibility  no
 
 # Maximum number of simultaneous users
 
-MaxClientsNumber            50
+MaxClientsNumber            10
 
 
 
 # Fork in background
-
-Daemonize                   yes
+## systemd users: you shall not change the value to yes unless you modify the
+## appropriate pure-ftpd.service
+Daemonize                   no
 
 
 
 # Maximum number of sim clients with the same IP address
 
-MaxClientsPerIP             8
+MaxClientsPerIP             3
 
 
 
@@ -59,6 +60,9 @@ MaxClientsPerIP             8
 VerboseLog                  no
 
 
+# Allow dot-files
+AllowDotFiles               yes
+
 
 # List dot-files even when the client doesn't send "-a".
 
@@ -68,7 +72,7 @@ DisplayDotFiles             yes
 
 # Don't allow authenticated users - have a public anonymous FTP only.
 
-AnonymousOnly               no
+AnonymousOnly               yes
 
 
 
@@ -107,23 +111,23 @@ MaxIdleTime                 15
 
 # LDAP configuration file (see README.LDAP)
 
-# LDAPConfigFile                /etc/pureftpd-ldap.conf
+# LDAPConfigFile                /etc/pure-ftpd/pureftpd-ldap.conf
 
 
 
 # MySQL configuration file (see README.MySQL)
 
-# MySQLConfigFile               /etc/pureftpd-mysql.conf
+# MySQLConfigFile               /etc/pure-ftpd/pureftpd-mysql.conf
 
 
 # Postgres configuration file (see README.PGSQL)
 
-# PGSQLConfigFile               /etc/pureftpd-pgsql.conf
+# PGSQLConfigFile               /etc/pure-ftpd/pureftpd-pgsql.conf
 
 
 # PureDB user database (see README.Virtual-Users)
 
-# PureDB                        /etc/pureftpd.pdb
+# PureDB                        /etc/pure-ftpd/pureftpd.pdb
 
 
 # Path to pure-authd socket (see README.Authentication-Modules)
@@ -134,7 +138,7 @@ MaxIdleTime                 15
 
 # If you want to enable PAM authentication, uncomment the following line
 
-# PAMAuthentication             yes
+PAMAuthentication             yes
 
 
 
@@ -177,7 +181,7 @@ MaxLoad                     4
 
 # Port range for passive connections replies. - for firewalling.
 
-# PassivePortRange          30000 50000
+PassivePortRange                30000 30100
 
 
 
@@ -230,14 +234,26 @@ AntiWarez                   yes
 
 # File creation mask. <umask for files>:<umask for dirs> .
 # 177:077 if you feel paranoid.
+# Note: on SUSE systems umask is overrided by pam_umask inherited from
+# /etc/pam.d/common-session. In case the system-wide default does not
+# fit you, you can either
+#
+# 1.) add line 'session optional pam_umask.so umask=$value' into
+# /etc/pam.d/pure-ftpd, so all changes in common-session will apply
+# for pure-ftpd as well, but config file will be still ignored
+#
+# 2.) replace the line 'session include common-session' in
+# /etc/pam.d/pure-ftpd by the content of /etc/pam.d/common-session,
+# remove the line 'session optional pam_umask.so' and uncomment the
+# line below
 
-Umask                       133:022
+#Umask                       177:077
 
 
 
 # Minimum UID for an authenticated user to log in.
 
-MinUID                      100
+MinUID                      40
 
 
 
@@ -257,7 +273,7 @@ AllowAnonymousFXP           no
 # even if they own them. If TrustedGID is enabled, this group
 # will have access to dot-files, though.
 
-ProhibitDotFilesWrite       no
+ProhibitDotFilesWrite       yes
 
 
 
@@ -270,13 +286,13 @@ ProhibitDotFilesRead        no
 # Never overwrite files. When a file whose name already exist is uploaded,
 # it get automatically renamed to file.1, file.2, file.3, ...
 
-AutoRename                  no
+AutoRename                  yes
 
 
 
 # Disallow anonymous users to upload new files (no = upload is allowed)
 
-AnonymousCantUpload         no
+AnonymousCantUpload         yes
 
 
 
@@ -373,7 +389,7 @@ MaxDiskUsage               99
 
 # Set to 'yes' if you don't want your users to rename files.
 
-#NoRename                  yes
+NoRename                  yes
 
 
 
@@ -459,3 +475,4 @@ CustomerProof              yes
 
 # FileSystemCharset	big5
 # ClientCharset		big5
+
Index: pureftpd-mysql.conf
===================================================================
--- pureftpd-mysql.conf.orig
+++ pureftpd-mysql.conf
@@ -23,13 +23,13 @@ MYSQLSocket     /var/run/mysqld/mysqld.s
 
 
 # Mandatory : user to bind the server as.
-
-MYSQLUser       root
+# using the Database root user is always a bad idea.
+MYSQLUser       ftpd
 
 
 # Mandatory : user password. You must have a password.
-
-MYSQLPassword   rootpw
+# using the Database root user is always a bad idea. 
+MYSQLPassword   ftpdpassword
 
 
 # Mandatory : database to open.
